#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	orc
Version		:	0.4.34
Release		:	17.0.10.rel%{?dist}
Summary		:	Optimized Inner Loop Runtime Compiler

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://gstreamer.freedesktop.org/src/orc/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gtk-doc
BuildRequires	:	meson
BuildRequires	:	valgrind-devel
#-----------------------------------------------------------------------------
%description
Orc is a library and set of tools for compiling
and executing very simple programs that operate
on arrays of data.
The "language" is a generic assembly language that
represents many of the features available in SIMD
architectures, including saturated addition and
subtraction, and many arithmetic operations.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc COPYING README
%{_libdir}/lib%{name}-*.so.*
%{_bindir}/%{name}-bugreport


#=============================================================================
%package		devel
Summary		:	Development files and libraries for Orc
	
#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}-%{release}
Requires	:	%{name}-compiler	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the files needed to build
packages that depend on orc.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc examples/*.c
%{_includedir}/%{name}-0.4/%{name}/%{name}*.h
%{_includedir}/%{name}-0.4/%{name}-test/%{name}*.h
%{_libdir}/lib%{name}-*.so
%{_libdir}/pkgconfig/%{name}-0.4.pc
%{_libdir}/pkgconfig/%{name}-test-0.4.pc
%{_datadir}/aclocal/%{name}.m4

 
#=============================================================================
%package		compiler
Summary		:	Orc compiler

#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		compiler
The Orc compiler, to produce optimized code

#-----------------------------------------------------------------------------
%files			compiler
%defattr(-,root,root,-)
%{_bindir}/%{name}c
 
#=============================================================================
%package		doc
Summary		:	Documentation for Orc compiler

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Documentation for Orc.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}/*.html
%{_datadir}/gtk-doc/html/%{name}/*.png
%{_datadir}/gtk-doc/html/%{name}/style.css
 
#=============================================================================
%prep
%setup 

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D default_library=shared			\
	_bld

meson							\
	compile						\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
meson							\
	test						\
	-C _bld						\
	--print-errorlogs				\

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C _bld

#-----------------------------------------------------------------------------
%changelog
